/*! _forms.css / elements */

form {
    font-size: 1.4rem;
    position: relative;
}

.hs-form-field {
    margin-bottom: 2.4rem;
}

.powermail_fieldwrap_type_file {
    margin-bottom: 3rem;
}

/* Labels */
form label {
    display: block;
    height: auto;
    color: var(--grey_medium-dark);
}

form a {
    text-decoration: underline;
}

form a:hover {
    font-weight: 700;
}

/* Inputs */

form input[type=text],
form input[type=search],
form input[type=email],
form input[type=password],
form input[type=tel],
form input[type=number],
form input[type=file],
form input[type=date],
form select,
form textarea {
    display: inline-block;
    font-size: inherit;
    padding: 1.2rem 1.8rem;
    width: 100%;
    border: 2px solid var(--red);
    font-weight: 400;
    border-radius: 28px;
    background-color: var(--background-color-1);
    color: var(--grey_medium-dark);
    outline: none;
    font-family: inherit;
}

input[type=file]:first-child {
    margin-top: 2rem;
}

.full-contact input[type=file]:first-child {
    margin-top: 0;
}

/*form input[type=file] {*/
/*    position: relative;*/
/*    padding: 1.2rem 1.8rem !important;*/
/*    border: 2px solid var(--red) !important;*/
/*}*/

input[type=file]::file-selector-button {
    /* display: none; */
    visibility:hidden;
    width: 0;
    padding: 0;
    margin: 0;
    border: 0;
}

form input[type=file]::after {
    content: "";
    position: absolute;
    right: 2rem;
    top: 50%;
    display: inline-block;
    width: 15px;
    height: 15px;
    background: url("../Icons/icon_upload.svg") no-repeat center;
    transform: translateY(-50%);
}

form textarea {
    resize: vertical;
    border-color: var(--grey_light);
    min-height: 225px;
}

form fieldset {
    max-width: 100%;
    border: none;
    padding: 0;
    margin: 0;
}

form .form-columns-2 {
    display: flex;
    flex-wrap: wrap;
}

form p {
    color: var(--grey_medium-dark);
}

/* Inputs - checkbox/radio */


form ul.two-col-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 1rem;
    padding: 0 2rem;
}

form ul.two-col-list li {
    width: max-content;
}

form .inputs-list {
    list-style: none;
    margin: 0;
}

form .inputs-list > li {
    display: block;
    margin: 0;
}

form label:has(input[type="radio"]),
form label:has(input[type="checkbox"]) {
    cursor: pointer;
}

form input[type=checkbox],
form input[type=radio] {
    display: none;
}

/* radio */

form:not(.filterForm) input[type="radio"] + span {
    display: inline-block;
    position: relative;
    padding-left: 3rem;
}

form:not(.filterForm) input[type="radio"] + span:before {
    top: 0;
    left: 0;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    border: 1px solid var(--grey_medium-dark);
    position: absolute;
    content: "";
    box-shadow: inset 0 0 0 3px #fff;
    background-color: #ffffff;
}

form:not(.filterForm) input[type="radio"]:checked + span:before {
    background: var(--red);
}

/* checkbox */
form:not(.filterForm) input[type="checkbox"] + span {
    display: inline-block;
    position: relative;
    padding-left: 3.6rem;
}

form:not(.filterForm) input[type="checkbox"] + span:before {
    top: 0;
    left: 0;
    width: 22px;
    height: 22px;
    border: 1px solid var(--grey_medium-dark);
    position: absolute;
    content: "";
    background-position: center;
    background-repeat: no-repeat;
    background-size: 12px;
    border-radius: 3px;
    background-color: #ffffff;
}

form:not(.filterForm) input[type="checkbox"]:checked + span:before {
    background-image: url(../Icons/icon-check.png);
}

form .contact-privacy input[type="checkbox"] + span {
    padding-left: 3rem;
}

form .contact-privacy input[type="checkbox"] + span:before {
    border: 2px solid var(--red);
    height: 19px;
    width: 19px;
    top: 2px;
    background-size: 11px;
}

/* Inputs - file picker */
/*form input[type=file] {*/
/*    background-color: transparent;*/
/*    border: initial;*/
/*    padding: initial;*/
/*}*/

/* Headings and text */

form .hs-richtext,
form .hs-richtext p {
    font-size: 0.875rem;
    margin: 0 0 1.4rem;
}

form .hs-richtext img {
    max-width: 100% !important;
}

/* Validation */

.hs-form-required {
    color: #EF6B51;
}

.hs-input.invalid.error {
    border-color: #EF6B51;
}

.hs-error-msg {
    color: #EF6B51;
    margin-top: 0.35rem;
}

form fieldset ul.powermail-errors-list {
    list-style: none;
    margin: 5px 0 0;
    color: var(--red);
}

/* select */
form select {
    appearance: none;
    background-image: url(../Icons/arrow-down-grey.svg);
    background-position: right 25px center;
    background-repeat: no-repeat;
    background-size: 12px auto;
    cursor: pointer;
    padding-right: 40px;
}

form select[multiple] {
    background-image: none;
}

form select[multiple] option {
    padding: 5px;
}

form select option[disabled] {
    text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.5);
    background-color: #e0e0e0;
    border-radius: 0;
}

form .fileUpload-wrap input {
    border: 0 none;
    border-radius: 0;
}

form .fileUpload-wrap label {
    display: flex;
    flex-wrap: wrap;
    cursor: pointer;
    position: relative;
    padding: 1.2rem 1.8rem;
    border: 2px solid var(--red);
    border-radius: 28px;
}

form .fileUpload-wrap ul {
    flex: 0 0 100%;
    width: 100%;
    position: absolute;
    left: 0;
    top: 100%;
    font-size: 85%;
}

form .fileUpload-wrap input[type="file"] {
    padding: 0;
    margin: 0;
    width: calc(100% - 33%);
}

form .fileUpload-wrap label span {
    flex: 0 0 30%;
    display: block;
    position: relative;
}

form .fileUpload-wrap label span:after {
    display: block;
    content: '';
    position: absolute;
    width: 14px;
    height: 14px;
    background: transparent url(../Icons/icon-upload.svg) 0 0 / 100% auto no-repeat;
    right: 10px;
    top: 2px;
}

/* Submit button */

form input[type=submit],
form .hs-button {
    cursor: pointer;
    display: inline-block;
    text-align: center;
    transition: all 0.15s linear;
    white-space: normal;
}

form .text-element {
    margin-bottom: 1.5rem;
}

.powermail_form .powermail_fieldset {
    position: relative;
    z-index: 8;
}

.powermail_form .powermail_fieldset + .powermail_fieldset {
    z-index: 7;
}

.powermail_form .powermail_fieldset + .powermail_fieldset + .powermail_fieldset {
    z-index: 6;
}

.powermail_form .powermail_fieldset + .powermail_fieldset + .powermail_fieldset + .powermail_fieldset {
    z-index: 5;
}

.powermail_form .powermail_fieldset + .powermail_fieldset + .powermail_fieldset + .powermail_fieldset + .powermail_fieldset {
    z-index: 4;
}

.tx-powermail .powermail_create {
    width: 100%;
    max-width: 1180px;
    margin-right: auto;
    margin-left: auto;
    padding-top: var(--section_padding-top-bottom_100);
    padding-bottom: var(--section_padding-top-bottom_50);
}

.powermail_form .powermail_fieldwrap_type_captcha .powermail_captcha {
    max-width: 50%;
    margin-right: 8px;
}

.powermail_form  .powermail_message_error h2 {
    font-size: 18px;
}

.powermail_form  .powermail_message_error ol {
    list-style: none;
    padding-left: 0;
}

.powermail_form  .powermail_message_error ol li {
    margin-left: 0;
}

@media (min-width: 768px) {

    form .form-columns-2 {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }


    form .form-columns-2 .hs-form-field {
        width: calc(50% - 8px);
    }

    form .form-columns-2 .hs-form-field:first-child {
        margin-right: 8px;
    }

    form .form-columns-2 .hs-form-field:last-child {
        margin-left: 8px;
    }

    form .hs-form-field ul {
        margin-bottom: 2.6rem;
    }

}

@media (max-width: 991px) {
    form .fileUpload-wrap input[type="file"] {
        width: calc(100% - 42%);
    }

    form .fileUpload-wrap label span {
        flex: 0 0 40%;
    }
}

@media (max-width: 767px) {
    form {
        font-size: 1.4rem;
    }

    form input[type=text],
    form input[type=search],
    form input[type=email],
    form input[type=password],
    form input[type=tel],
    form input[type=number],
    form select {
        padding: 1.1rem 1.9rem;
    }

    input[type=file]:first-child {
        margin-bottom: 2rem;
    }

    .full-contact input[type=file]:first-child {
        margin-bottom: 0;
    }


    form textarea {
        padding: 1.5rem 1.9rem;
    }

    form fieldset:has(.button) {
        text-align: center;
    }

    form .hs-form-field {
        margin-bottom: 1.2rem;
    }

    form .form-columns-2 .hs-form-field {
        width: 100%;
    }

    form .hs-form-field ul {
        margin-bottom: 1.5rem;
    }

    form input[type="radio"] + span:before {
        width: 17px;
        height: 17px;
        box-shadow: inset 0 0 0 2px #fff;
    }

    form ul.two-col-list li {
        width: max-content;
    }

    form input[type="radio"] + span {
        padding-left: 2.4rem;
    }

    form .inputs-list > li {
        margin-bottom: 3px;
    }

    form .fileUpload-wrap input[type="file"] {
        width: calc(100% - 72%);
    }

    form .fileUpload-wrap label span {
        flex: 0 0 70%;
    }

    .powermail_form .powermail_fieldwrap_type_captcha .powermail_captcha {
        max-width: 100%;
        margin-right: 8px;
    }

    .powermail_form .powermail_fieldwrap_type_captcha .powermail_captchaimage {
        margin-top: 20px;
    }
}

@media (max-width: 568px) {
    form input.button {
        width: calc(100% - 2.2rem);
    }
}

@media (max-width: 374px) {
    form ul.two-col-list li {
        width: 100%;
    }
}